Bug 128713 - WEP encryption key doesn't work
Summary: WEP encryption key doesn't work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On: 1278369
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-28 15:18 UTC by Tim Waugh
Modified: 2016-01-05 16:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 10:50:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
net.c-patch (543 bytes, patch)
2004-07-29 10:46 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2004-07-28 15:18:08 UTC
Description of problem:
I'm trying to take advantage of the WEP bits in anaconda, but I can't
seem to get it to work.

I have installed FC3t1 on this laptop and managed to get WEP working
with the orinoco-driven PCMCIA wifi card.  However, during install
(and if I try a new install) I can't persuade anaconda to use my key.

I choose NFS installation, and type in the ESSID and the encryption
key (10 hex digits, just as I put in the 'KEY=' line of ifcfg-eth0),
but it fails to get an IP address when using DHCP immediately after that.

I can see from the AP log that it hasn't been allowed in.

Version-Release number of selected component (if applicable):
anaconda-10.0.2-0.20040713173734

How reproducible:
100%

Steps to Reproduce:
1. Boot install image.
2. Choose NFS installation.
3. Tell it the wireless parameters.
  
Actual results:
Fails when trying to bring up network.

Comment 1 Jeremy Katz 2004-07-28 21:31:27 UTC
Committed something which should help a bit.  Should be in rawhide
tomorrow.

Comment 2 Tim Waugh 2004-07-29 10:46:47 UTC
Created attachment 102279 [details]
net.c-patch

Nearly there, but it needs this patch too otherwise is_wireless_interface()
fails further on.

Comment 3 Tim Waugh 2004-07-29 10:57:07 UTC
I've checked in that change.


Note You need to log in before you can comment on or make changes to this bug.